libmtp 1.1.23

Data Fields
_PTPObjectInfo Struct Reference

## Data Fields
uint32_t | StorageID
uint16_t | ObjectFormat
uint16_t | ProtectionStatus
uint64_t | ObjectCompressedSize
uint16_t | ThumbFormat
uint32_t | ThumbCompressedSize
uint32_t | ThumbPixWidth
uint32_t | ThumbPixHeight
uint32_t | ImagePixWidth
uint32_t | ImagePixHeight
uint32_t | ImageBitDepth
uint32_t | ParentObject
uint16_t | AssociationType
uint32_t | AssociationDesc
uint32_t | SequenceNumber
char * | Filename
time_t | CaptureDate
time_t | ModificationDate
char * | Keywords

The documentation for this struct was generated from the following file:

- ptp.h